com.icl.saxon.om

## Interface AxisEnumeration

- All Superinterfaces:
    LastPositionFinder, NodeEnumeration
  All Known Implementing Classes:
    EmptyEnumeration, PrependIterator, SingletonEnumeration

      public interface AxisEnumeration
      extends NodeEnumeration, LastPositionFinder

  A NodeEnumeration is used to iterate over a list of nodes. An AxisEnumeration is a NodeEnumeration that throws no exceptions; it also supports the ability to find the last() position, again with no exceptions.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLastPosition()` Get the last position
    `boolean` | `hasMoreElements()` Determine whether there are more nodes to come.
    `NodeInfo` | `nextElement()` Get the next node in sequence.

    - ### Methods inherited from interface com.icl.saxon.om.NodeEnumeration

      `isPeer, isReverseSorted, isSorted`

- - ### Method Detail

    - #### hasMoreElements

          boolean hasMoreElements()

      Determine whether there are more nodes to come.
      (Note the term "Element" is used here in the sense of the standard Java Enumeration class, it has nothing to do with XML elements).
      Specified by:
        `hasMoreElements` in interface `NodeEnumeration`
      Returns:
        true if there are more nodes

    - #### nextElement

          NodeInfo nextElement()

      Get the next node in sequence.
      (Note the term "Element" is used here in the sense of the standard Java Enumeration class, it has nothing to do with XML elements).
      Specified by:
        `nextElement` in interface `NodeEnumeration`
      Returns:
        the next NodeInfo

    - #### getLastPosition

          int getLastPosition()

      Get the last position
      Specified by:
        `getLastPosition` in interface `LastPositionFinder`